Package twisted :: Package python :: Module rebuild

[frames | no frames]

## Module twisted.python.rebuild

*Real* reloading support for Python.

Classes
`Sensitive` | A utility mixin that's sensitive to rebuilds.

Function Summary
| ``__getattr__`(self, name)` A getattr method to cause a class to be refreshed.
| ``latestClass`(oldClass)` Get the latest version of a class.
| ``latestFunction`(oldFunc)` Get the latest version of a function.
| ``rebuild`(module, doLog)` Reload a module and do as much as possible to replace its references.
| ``updateInstance`(self)` Updates an instance to be current

Variable Summary
`dict` | `_modDictIDMap` = `{}`
`float` | `lastRebuild` = 1084673022.5272441

Function Details

### __getattr__(self, name)
(Qualification operator)

A getattr method to cause a class to be refreshed.

### latestClass(oldClass)

Get the latest version of a class.

### latestFunction(oldFunc)

Get the latest version of a function.

### rebuild(module, doLog=1)

Reload a module and do as much as possible to replace its references.

### updateInstance(self)

Updates an instance to be current

Variable Details

### _modDictIDMap

  Type:
    `dict`
  Value:

        {}

### lastRebuild

  Type:
    `float`
  Value:

        1084673022.5272441

Generated by Epydoc 2.0 on Sat May 15 20:08:48 2004 | http://epydoc.sf.net